MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027773Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-08-15 11:182016-12-09 16:38
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027773: Empty result of section operation between line and offset of a circle
DescriptionThe result of section operation between linear edge and edge based on offset curve with circle base is empty.
Steps To Reproducecircle c 1 0 0 20
offset c1 c 10 0 0 1
mkedge e1 c1
vertex v1 0 35 0
vertex v2 0 -35 0
edge e2 v1 v2
bsection result e1 e2
checknbshapes result -vertex 2
TagsNo tags attached.
Test case numberbugs modalg_6 bug27773
Attached Files

- Relationships
related to 0008040closedbugmaster Offset direction is wrong for a closed circle 

-  Notes
(0056719)
git (administrator)
2016-08-15 15:09

Branch CR27773 has been created by emv.

SHA-1: 1b6feeb905473ed401d3f1c15659d01252ad8be1


Detailed log of new commits:

Author: emv
Date: Mon Aug 15 15:08:33 2016 +0300

    0027773: Empty result of section operation between line and offset of a circle
    
    In Edge/Edge intersection the Resolution for the Offset Curve based on the elementary
    curve (Line/Circle/Ellipse) is computed using this basis curve.
(0056722)
emv (developer)
2016-08-15 15:29

Git branch CR27773 is ready for review.
(0056725)
msv (developer)
2016-08-15 17:07

Reviewed.
(0056744)
apv (tester)
2016-08-16 12:59

Dear BugMaster,

Branch CR27773 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 1b6feeb905473ed401d3f1c15659d01252ad8be1

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1151

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug27773 - OK
http://occt-tests/CR27773-master-OCCT/Debian70-64/bugs/modalg_6/bug27773.html [^]
http://occt-tests/CR27773-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug27773.html [^]

Testing on Linux:
Total MEMORY difference: 90141650 / 90467159 [-0.36%]
Total CPU difference: 19482.689999999973 / 19471.050000000094 [+0.06%]

Testing on Windows:
Total MEMORY difference: 57143516 / 57162645 [-0.03%]
Total CPU difference: 18006.11902309891 / 17970.971997798883 [+0.20%]
(0057140)
git (administrator)
2016-08-26 16:22

Branch CR27773 has been deleted by inv.

SHA-1: 1b6feeb905473ed401d3f1c15659d01252ad8be1

- Related Changesets
occt: master e91a710c
Timestamp: 2016-08-15 12:08:33
Author: emv
Committer: bugmaster
Details ] Diff ]
0027773: Empty result of section operation between line and offset of a circle

In Edge/Edge intersection the Resolution for the Offset Curve based on the elementary
curve (Line/Circle/Ellipse) is computed using this basis curve.
mod - src/IntTools/IntTools_EdgeEdge.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug27773 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-15 11:18 emv New Issue
2016-08-15 11:18 emv Assigned To => msv
2016-08-15 11:18 emv Assigned To msv => emv
2016-08-15 11:48 msv Status new => assigned
2016-08-15 13:41 bugmaster Relationship added related to 0008040
2016-08-15 15:09 git Note Added: 0056719
2016-08-15 15:29 emv Note Added: 0056722
2016-08-15 15:29 emv Assigned To emv => msv
2016-08-15 15:29 emv Status assigned => resolved
2016-08-15 17:07 msv Note Added: 0056725
2016-08-15 17:07 msv Assigned To msv => bugmaster
2016-08-15 17:07 msv Status resolved => reviewed
2016-08-15 18:10 apv Assigned To bugmaster => apv
2016-08-16 12:59 apv Note Added: 0056744
2016-08-16 12:59 apv Assigned To apv => bugmaster
2016-08-16 12:59 apv Status reviewed => tested
2016-08-16 12:59 apv Test case number => bugs modalg_6 bug27773
2016-08-19 10:07 bugmaster Changeset attached => occt master e91a710c
2016-08-19 10:07 bugmaster Status tested => verified
2016-08-19 10:07 bugmaster Resolution open => fixed
2016-08-26 16:22 git Note Added: 0057140
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker